messages
3
CAMEL Library

# messages

## Synopsis

    #define             SET_CONTENT_WAYS
    CamelMimeMessage*   test_message_create_simple          (void);
    void                test_message_set_content_simple     (CamelMimePart *part,
                                                             int how,
                                                             const char *type,
                                                             const char *text,
                                                             int len);
    int                 test_message_write_file             (CamelMimeMessage *msg,
                                                             const char *name);
    CamelMimeMessage*   test_message_read_file              (const char *name);
    int                 test_message_compare_content        (CamelDataWrapper *dw,
                                                             const char *text,
                                                             int len);
    int                 test_message_compare                (CamelMimeMessage *msg);
    void                test_message_dump_structure         (CamelMimeMessage *m);
    int                 test_message_compare_header         (CamelMimeMessage *m1,
                                                             CamelMimeMessage *m2);
    int                 test_message_compare_messages       (CamelMimeMessage *m1,
                                                             CamelMimeMessage *m2);

## Description

## Details

### SET_CONTENT_WAYS

    #define SET_CONTENT_WAYS (5)

### test_message_create_simple ()

    CamelMimeMessage*   test_message_create_simple          (void);

Returns :

### test_message_set_content_simple ()

    void                test_message_set_content_simple     (CamelMimePart *part,
                                                             int how,
                                                             const char *type,
                                                             const char *text,
                                                             int len);

`part` :

`how` :

`type` :

`text` :

`len` :

### test_message_write_file ()

    int                 test_message_write_file             (CamelMimeMessage *msg,
                                                             const char *name);

`msg` :

`name` :

Returns :

### test_message_read_file ()

    CamelMimeMessage*   test_message_read_file              (const char *name);

`name` :

Returns :

### test_message_compare_content ()

    int                 test_message_compare_content        (CamelDataWrapper *dw,
                                                             const char *text,
                                                             int len);

`dw` :

`text` :

`len` :

Returns :

### test_message_compare ()

    int                 test_message_compare                (CamelMimeMessage *msg);

`msg` :

Returns :

### test_message_dump_structure ()

    void                test_message_dump_structure         (CamelMimeMessage *m);

`m` :

### test_message_compare_header ()

    int                 test_message_compare_header         (CamelMimeMessage *m1,
                                                             CamelMimeMessage *m2);

`m1` :

`m2` :

Returns :

### test_message_compare_messages ()

    int                 test_message_compare_messages       (CamelMimeMessage *m1,
                                                             CamelMimeMessage *m2);

`m1` :

`m2` :

Returns :